body {
  font-size: 16pt;
  padding: 0.5em;
  position: relative;
  background: #333;
  color: #fff;
}

a, summary {
  color: cyan;
  text-decoration: none;
  cursor: pointer;
  &:hover {
    background-color: #663;
  }
}

a[href^="http"] {
  text-decoration: underline;
}
a[href^="http"]::after {
  position: relative;
  display: inline-block;
  /* height: 0.6em;
  width: 0.6em; */
  bottom: 0.4em;
  margin: 0 0.2em;
  font-size: 90%;
  content: "🗗";
}

a[href="#"] {
  display: block;
  width: 1em;
  position: relative;
  right: 0;
  background-color: #fff;
  color: black;
  border-radius: 0.25em;
  padding: 0 0.15em;
  text-decoration: none;
  margin: 2em 1em;
  &::after {
    content: "Back to top";
    display: block;
    position: absolute;
    font-size: 90%;
    left: 2em;
    top: 0;
    width: 10em;
    color: cyan;
    background-color: none;
  }
}

b,
b:has(img) {
  position: relative;
  color: #f9e;
  cursor: default;
}

b > img {
  position: fixed;
  opacity: 0;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  width: 45vw;
  height: 45vw;
  padding: 1em;
  background: #fff4;
  z-index: 1000;
  pointer-events: none;
  transition: 0.1s;
}

b:hover {
  background-color: #ccf4;
}

b:hover > img {
  opacity: 1;
  pointer-events: auto;
}

b:has(img[src="img/img.png"]) {
  color: #cde;
  background: none;
}

b:hover > img[src="img/img.png"] {
  display: none;
}

ul.colors {
  li {
    position: relative;
    > b {
      position: unset;
      padding-left: 1.5em;
      > img {
        position: absolute;
        left: 0.5em;
        width: 1em;
        height: 1em;
        padding: 0;
        opacity: 1;
        z-index: 1;
        transition: 0.05s;
      }
    }
  }

  li > b:hover > img {
    left: 50%;
    width: 45vw;
    height: 45vw;
    background: #4444;
    z-index: 1000;
  }
}

.float {
  float: right;
  width: 30%;
  margin: 0.5em;
}

.clear {
  clear: both;
}

hr {
  margin-top: 2em;
}

#guide ul {
  padding-left: 0;
  li {
    clear: both;
    padding-top: 1em;
    font-size: 16pt;
    list-style: none;
    img {
      float: left;
      margin-right: 1em;
      width: 300px;
    }

    img:has(~ img) {
      margin-right: 0.5;
    }
  }

  &.reg,
  ul {
    padding-left: 3em;
    li {
      list-style: disc;
      padding-top: 0;
    }
  }
}

details {
  margin-left: 3em;
  padding-bottom: 1em;
  ul {
    margin-left: 2em;
  }
}
